# Vorlesungswoche 11 (13.–19. Juni 2022) #

## Agenda ##

- [ ] Rucksackproblem
  - Greedyalgorithmus
  - Branch & Bound

## Implementierung ##

Implementierung zum Austesten findet man in [code/python](./../code/python). _Beachte:_

- Der Code ist etwas ineffizient implementiert,
  weil extra (unnötige) Informationen zwecks schöner Darstellung gespeichert wird.
  Die Schritte sind jedoch korrekt.
- Man kann die Aspekte der Probleme
  in dem [assets](./../code/assets) Ordner anpassen,
  wie bspw. ob alle Gewichte und alle Summen angezeigt werden sollen.

**ACHTUNG:** In den folgenden Beispielen wird _mehr als nötig_ aufgeschrieben.
Die extra Spalten sowie die etwas unnötig ausführlich aufgeschriebenen Summen sollen nur didaktischen Zwecken dienen.
Sobald man alles kapiert, kann man selbstverständlich auf die zusätzlichen Teile verzichten.

### Beispielausführungen von Greedy vs. B&B - Problem aus Folien ###

![Problem aus Folien](./../notes/img/embed_rucksack_1a.png)

![Problem aus Folien](./../notes/img/embed_rucksack_1b.png)

### Beispielausführungen von B&B - Problem aus Vorlesung ###

![Problem aus VL](./../notes/img/embed_rucksack_2.png)

### Beispielausführungen von B&B - Problem aus Seminarblatt ###

![Problem aus Seminarblatt](./../notes/img/embed_rucksack_3.png)
